* {
    margin:0;
    padding:0;
    box-sizing: border-box;
}

html, body {
    scroll-behavior: smooth;
    overflow-x:hidden;
}

.navbar-fixed {
    position:absolute;
}

.nav-wrapper {
    transition: background-color 0.3s ease-in-out;
}
.nav-wrapper.bg {
    background-color:rgba(0, 0, 0, 0.5) !important
}

.cursive {
    font-family: cursive;
    margin-top:-0.4rem;
}

.underSlider {
    height:85vh;
}

.caption .btn-large {
    margin:10px;
}

img.darker {
    filter:brightness(0.6)
}

.parallax-container {
    height:35vh;
}

.datepicker-container {
    user-select: none;
}

.dropdown-content {
    position: fixed;
    height:300px !important;
    top: 10% !important;
    user-select: none;
  }

.indicator-item.active {
    background-color:rgb(251, 192, 45) !important;
}

footer li a:hover {
    text-decoration: underline;
}

.bottom-sheet p {
    padding: 8px 0;
}

/* personalne */

body > .slider .caption {
    top:33% !important;
}
.slider .caption h2 {
    z-index:1;
    background-image:linear-gradient(gold,gold);
    background-repeat: no-repeat;
    background-size:50% 2px;
    background-position: bottom center;
    padding:10px 20px;
}

.slider img {
    animation: breathe 10s ease-in-out infinite;
}
@keyframes breathe {
    0% { scale:1 }
    50% { scale: 1.1 }
    100% { scale:1 }
}

.tlo .col:nth-child(1) img{
    transform:translateX(100%);
    animation: tlo4 .5s ease forwards .3s;
}
.tlo .col:nth-child(2) img{
    transform:translateX(-100%);
    animation: tlo2 .5s ease forwards .6s;
}
.tlo .col:nth-child(3) img{
    transform:translateX(100%);
    animation: tlo4 .5s ease forwards .9s;
}
.tlo .col:nth-child(4) img{
    transform:translateX(-100%);
    animation: tlo2 .5s ease forwards 1.2s;
}
header .logo {
    z-index:5;
    transform:scale(0%);
    animation: logo 1s ease-out forwards;
    margin-left:4px;
}
.tlo .col h3 {
    opacity:0;
    animation: tytul .5s ease-out forwards 1.7s;
    text-align:center;
    font-size:1.9em;
    width:70%;
    margin: 10px 15%
}

@keyframes tlo2 {
    0% {transform:translateX(-100%)}
    100% {transform: translateX(0)}
}
@keyframes tlo4 {
    0% {transform:translateX(100%)}
    100% {transform: translateX(0)}
}
@keyframes logo {
    0% {transform:scale(0%)}
    100% {transform: scale(100%)}
}

@keyframes tytul {
    0% {opacity: 0}
    100% {opacity: 1}
}

@media screen and (min-width:992px) {
    .tlo .col:nth-child(1) img{
        transform:translateY(100%);
        animation: tlo1 .5s ease forwards .3s;
    }
    .tlo .col:nth-child(2) img{
        transform:translateX(-100%);
        animation: tlo2 .5s ease forwards .6s;
    }
    .tlo .col:nth-child(4) img{
        transform:translateY(-100%);
        animation: tlo3 .5s ease forwards .9s;
    }
    .tlo .col:nth-child(3) img{
        transform:translateX(100%);
        animation: tlo4 .5s ease forwards 1.2s;
    }
    
    @keyframes tlo1 {
        0% {transform:translateY(100%)}
        100% {transform: translateY(0)}
    }
    @keyframes tlo2 {
        0% {transform:translateX(-100%)}
        100% {transform: translateX(0)}
    }
    @keyframes tlo3 {
        0% {transform:translateY(-100%)}
        100% {transform: translateY(0)}
    }
    @keyframes tlo4 {
        0% {transform:translateX(100%)}
        100% {transform: translateX(0)}
    }
    .tlo .col h3 {
    font-size:2.5em
    }
}


#galeria .carousel {
    height:450px !important;
}

#galeria .carousel-item {
    height:300px !important;
    width:300px !important;
    user-select: none;
    overflow: hidden;
}

#galeria .carousel-item img {
    height:100% !important;
    width:100% !important;
    object-fit: cover !important;
}

@media screen and (min-width:992px) {
    #galeria .carousel {
        height:550px !important;
    }
    #galeria .carousel-item {
        height:500px !important;
        width:500px !important;
    }
}
.brand-logo img {
    height:56px !important;
}
@media screen and (min-width:992px) {
    .brand-logo img {
        height:65px !important;
    }
}

header {
    position: relative;
    height:100vh;
    display:flex;
    align-items:center;
    justify-content:center;
}

header > .tlo {
    /* max-width:1420px; */
    width:100%;
    height:100%;
    position:absolute;
    display:flex;
    flex-wrap:wrap;
}

header .tlo .col {
    height:25vh;
    width:100%;
    display:flex;
    align-items:center;
    justify-content: center;
    padding: 0 !important;
    flex-direction: column;
    overflow:hidden;
    position:relative;
    flex-wrap:wrap;
    text-shadow:0 0 4px black;
    z-index:1;
}

.tlo .col p {
    z-index:2;
    color:white;
    overflow:hidden;
    font-size:1.5em;
    text-align:center;
}
.tlo .col p span {
    transition: transform .3s ease-in-out;
    display:block;
    transform: translateY(-100%);
}

.tlo .col:hover span {
    transform: translateY(0)
}

.tlo .col img {
    filter:saturate(.7) brightness(.6);
    position:absolute;
    transition: scale .6s ease-in-out, filter .3s ease-in-out
}

.tlo .col h3 {
    z-index:1;
    background-image:linear-gradient(gold,gold);
    background-repeat: no-repeat;
    background-size:50% 2px;
    background-position: bottom center;
    padding:10px 20px;
    transition: background-size .6s ease-in-out;
}

@media screen and (min-width:992px) {
    header > .tlo .col {
        height:50vh;
        width:50%;
        /* outline:4px solid #f5dc0f; */
    }
    header > .tlo .col:hover img {
        scale:1.1;
        filter:saturate(1) brightness(0.8)
    }
    header > .tlo .col:hover h3 {
        background-size: 80% 2px;
    }
}

.tlo img {
    width: 100%;
    height:100%;
    object-fit: cover;
}

#oferty >.row > .col:first-child {
    margin-top:10em
}

@media (max-width:600px) {
    #oferty .slider {
        height: 550px !important;
    }
    #oferty .slider .slides {
        height:510px !important;
    }
}

#oferty .caption > h4 {
    margin-top:-20px;
}

iframe {
    width:100%;
}

.fb i {
    transition: color .2s ease-in-out, background-color .2s ease-in-out;
    font-size:2.5em;
    border-radius:50%;
}
.fb:hover i {
    color:#4267B2 !important;
    background-color:white !important;
}

/* scroll effects */

.brand-logo {
    transition: opacity .3s ease-in-out;
    opacity: 0;
}

.reveal {
    opacity:0;
    transition: transform .5s ease-out, opacity .5s ease-out;
}
.reveal-active {
    opacity:1;
}

.reveal.slide-right {
    transform: translateX(100px);
}
.reveal-active.slide-right {
    transform: translateX(0)
}

.reveal.slide-left {
    transform: translateX(-100px);
}
.reveal-active.slide-left {
    transform: translateX(0)
}

.reveal.slide-down {
    transform: translateY(100px);
}
.reveal-active.slide-down {
    transform: translateY(0)
}

.reveal.size-in {
    transform: scale(0.7)
}
.reveal-active.size-in {
    transform: unset;
}

.reveal.slide-down.size-in {
    transform: translateY(100px) scale(0.7);
}
.reveal-active.slide-down.size-in {
    transform: translateY(0) scale(1);
}

.reveal {
}
.reveal-active.size-in {
}